Skip to content

사용 가능한 이메일 템플릿 목록

get

/templates/email/list

이 엔드포인트를 사용하여 Braze 계정에서 사용 가능한 이메일 템플릿 목록을 가져올 수 있습니다.

필수 조건

이 엔드포인트를 사용하려면 templates.email.list 권한이 있는 API 키가 필요합니다.

사용량 제한

이 엔드포인트에는 API 사용량 제한 설명서에 명시된 대로 기본 Braze 사용량 제한인 시간당 250,000건의 요청이 적용됩니다.

요청 매개변수

매개변수 필수 데이터 유형 설명
modified_after 선택 사항 ISO-8601 형식의 문자열 지정된 시간 이후에 업데이트된 템플릿만 검색합니다.
modified_before 선택 사항 ISO-8601 형식의 문자열 지정된 시간 이전에 업데이트된 템플릿만 검색합니다.
limit 선택 사항 양수 검색할 최대 템플릿 수입니다. 제공하지 않으면 기본값은 100이며, 허용되는 최대값은 1000입니다.
offset 선택 사항 양수 검색 기준에 맞는 나머지 템플릿을 반환하기 전에 건너뛸 템플릿 수입니다.

예시 요청

1
2
curl --location --request GET 'https://rest.iad-01.braze.com/templates/email/list?modified_after=2020-01-01T01:01:01.000000&modified_before=2020-02-01T01:01:01.000000&limit=1&offset=0' \
--header 'Authorization: Bearer YOUR_REST_API_KEY'

응답

1
2
3
4
5
6
7
8
9
{
  "count": the number of templates returned
  "templates": [template with the following properties]:
    "email_template_id": (string) your email template's API Identifier,
    "template_name": (string) the name of your email template,
    "created_at": (string) the time the email was created at in ISO 8601,
    "updated_at": (string) the time the email was updated in ISO 8601,
    "tags": (array of strings) tags appended to the template
}
New Stuff!